@echo off

if "%GSDLHOME%" == "" goto EnvNotSet

REM test if we have write permission on the greenstone install directory
echo Checking if GSDLHOME is writable..
echo This is a temporary file. It is safe to delete it. > %GSDLHOME%\etc\testing.tmp
if not exist %GSDLHOME%\etc\testing.tmp goto CantWrite
del %GSDLHOME%\etc\testing.tmp
echo Writable
goto TheEnd

:CantWrite
echo -----------------------------------
echo  WARNING: CANNOT WRITE TO GSDLHOME
echo -----------------------------------
echo Greenstone needs write-permission on the GSDLHOME directory,
echo but we have detected that this is not present.
echo Please grant 'Full Control' to the current user (%username%)
echo on the following folder and all subfolders and files, and try again:
echo %GSDLHOME%
goto TheEnd

:EnvNotSet
echo GSDLHOME not set

:TheEnd